
 LinHES - Bug # 1023: Changing Network settings stops frontend service

Status: Can not duplicate Priority: High
Author: girkers Category: Packages: Core
Created: 05/12/2018 Assignee:
Updated: 03/18/2019 Due date:
Description: I reconfigured my network and put my MythTV boxes on a separate VLAN so firstly to get them going on the 

new network I had to edit, /etc/net/ifaces/eth0/ipv4address to put the frontend on the new network. After the 
frontend started I would then go into the LinHES setting menus and go to the Network settings. Firstly the IP 
address I had put in the file is not presented in the interface, then I set all the appropriate settings and finish. 
The system then reconfigures the network settings and that is where the problems start.

What is happening is the symlink to the frontend in /service directory is being deleted and not recreated. It is 
also creating symlinks for irexec and remotes yet I only ever edited the network settings.

I have two frontends and can confirm that this happened on both of them.

History
05/12/2018 09:33 pm - brfransen
I have not been able to reproduce this.

Network settings take input from the db and UI so editing /etc/net/ifaces/eth0/ipv4address will be ignored and overwritten the next time systemconfig 
network settings are run.

Updating the network settings also updates host settings which updates remote settings. My guess is that in Host Settings, Run Frontend is not enabled 
and so when that was run it removed the frontend service.  The irexec and remote service were probably added because a remote is configured. Please 
post your /etc/systemconfig.

05/23/2018 01:08 pm - brfransen
- Status changed from New to Feedback

- Category set to Packages: Core

03/18/2019 08:49 pm - brfransen
- Status changed from Feedback to Can not duplicate
